Start a scan
curl --request POST \
--url https://app.ilitylabs.com/v1/domains/{slug}/scans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engine_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({engine_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://app.ilitylabs.com/v1/domains/{slug}/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains/{slug}/scans"
payload = { "engine_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"conflicts": [
{
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"existing_scan_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"detail": "<string>",
"reason": "no_active_pages"
}Scans
Start a scan
Queues a scan of the domain’s pages and returns one scan run per engine. Omit the body to scan every active page with the domain’s own WCAG target and engines. With an API key, the domain’s plan must include API triggers, or the request fails with 403 and reason: api_triggers_not_entitled.
POST
/
v1
/
domains
/
{slug}
/
scans
Start a scan
curl --request POST \
--url https://app.ilitylabs.com/v1/domains/{slug}/scans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"engine_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({engine_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']})
};
fetch('https://app.ilitylabs.com/v1/domains/{slug}/scans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/domains/{slug}/scans"
payload = { "engine_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"scan_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"scope": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"triggered_by_user_id": "<string>",
"config_snapshot": {},
"pages_scanned": 123,
"pages_failed": 123,
"issues_found": 123,
"score": 123,
"has_blocking": true,
"error": "<string>",
"cancel_requested_at": "2023-11-07T05:31:56Z",
"pause_requested_at": "2023-11-07T05:31:56Z",
"paused_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
]{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"conflicts": [
{
"engine_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"engine_slug": "<string>",
"existing_scan_run": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z"
}
}
]
}{
"detail": "<string>",
"reason": "no_active_pages"
}Authorizations
Body
application/json
Response
Created